@echo off

call wipeall.cmd

set n=bank
set sol=asm

echo Compile...

call g++ -O2 -Wall ..\%n%_%sol%.cpp -o %n%_%sol%.exe
call g++ -O2 -Wall gen.cpp -o gen.exe
call g++ -O2 -Wall split.cpp -o split.exe
call g++ -DNOFOOTER -O2 -Wall ..\check.cpp -o check.exe

echo Generate tests...

rem echo 301017 > seed
gen
rem del seed 1>nul 2>nul

split.exe

del tests 1>nul 2>nul

echo Generate answers...

for %%i in (*.) do (
  echo Test %%i
  copy %%i %n%.in 1>nul 2>nul
  %n%_%sol%.exe 
  copy %n%.out %%i.a 1>nul 2>nul
  check %%i %%i.a %%i.a
)
